Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000587SpeedFanS.M.A.R.T.public2006-06-22 10:112008-08-11 12:39
Reporterrob 
Assigned Toalfredo 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.35 beta 
Summary0000587: Support for Areca RAID Controllers
DescriptionAreca RAID Controllers are supporting Temperature moninoring of all attached harddrives. Probably SMART access for individual drives is also possible.

Should be easily doable, because there exist publicly available API for accessing these features.
API is probably same for all their controllers.

I'm willing to test it if you decide to implement this feature (I'm also Delphi developer, so I'm able to test/debug anything).

Public download of API libraries:
ftp://ftp.areca.com.tw/API/ [^]

Conroller we have:
http://www.areca.us/support/index/dc1220.htm [^]

General web:
www.areca.us
TagsNo tags attached.
Motherboard Model
Video Card Model
Attached Files

- Relationships
has duplicate 0001016closedalfredo I would like to be able to add custom software temperature 'sensors' via an API 

-  Notes
(0001778)
rob (reporter)
2006-06-22 13:06

To eliminite confusion:
I just downloaded file ftp://ftp.areca.com.tw/API/Arclib.zip [^]
Unziped it in some temporary folder "arclib".
Then I opened Arclib\help\CArclib.chm without problem.
I can read all topics.
Some example:

CArclib::ArcGetHWMon
The ArcGetHWMon method returns the information about a H/W monitor.



virtual ARC_STATUS ArcGetHWMon (

DWORD HwItem,

pHwMonInfo pHwInfo

);
 

Parameters:
[IN]

HwItem: Hardware monitor item.

 

Value
 Meaning
 
HWMON_FAN_INFO
 Get H/W information about fans.
 
HWMON_VOL_INFO
 Get H/W information about voltages
 
HWMON_TMP_INFO
 Get H/W information about temperatures
 
HWMON_PWR_INFO
 Get H/W information about powers
 
HWMON_UPS_INFO
 Get H/W information about UPS

PS: Probably some small testing application should be created first. Feel free to contact me for cooperation by email or ICQ or Jabber (I will gladly provide you those contacts by email).
(0001779)
alfredo (manager)
2006-06-22 13:12

I downloaded the most recent zip.
Does it work for you?
(0001781)
rob (reporter)
2006-06-22 13:25

Yes.
I even tried "Arclib_VS2005.zip\Arclib_VS2005\help\CArclib.chm" - it's identical and is working too.
(0001782)
alfredo (manager)
2006-06-22 13:34

WOW! Another great performance from Windows XP! I had that CHM on a path deep on a network drive. I tried to copy it to the root of a local filesystem and now I can read it!
(0001783)
rob (reporter)
2006-06-22 13:34

You may try to open this:

http://www.exec.cz/public/ArecaDecompiledChm.zip [^]
(0001784)
rob (reporter)
2006-06-22 13:38

Nice - Windows are full of surprises :-)
(0001785)
alfredo (manager)
2006-06-22 18:24

If you contact me by email we can try to sort this out :-)
(0001999)
gb115b (reporter)
2006-09-20 11:48

hey, how's this coming?
(0002558)
gb115b (reporter)
2007-05-30 00:52

hi, this feature would be really useful to me, as i have speedfan running on my server in the lounge (to keep the fans quiet) but there's no good way of monitoring the HD temps and adjusting the fans appropriately
(0003436)
alfredo (manager)
2008-05-02 14:03

All of you, Areca owners, please, send me an email. Do not contact me using GMAIL, because it blocks zipped exes.
(0003960)
alfredo (manager)
2008-08-11 12:39

Full ARECA RAID support is available with the latest beta! Now you can see SMART data for each hard disk connected to ARECA controllers too!

- Issue History
Date Modified Username Field Change
2006-06-22 10:11 rob New Issue
2006-06-22 12:50 alfredo Note Added: 0001777
2006-06-22 12:50 alfredo Status assigned => acknowledged
2006-06-22 13:06 rob Note Added: 0001778
2006-06-22 13:12 alfredo Note Added: 0001779
2006-06-22 13:21 alfredo Note Added: 0001780
2006-06-22 13:25 rob Note Added: 0001781
2006-06-22 13:34 alfredo Note Added: 0001782
2006-06-22 13:34 rob Note Added: 0001783
2006-06-22 13:38 rob Note Added: 0001784
2006-06-22 18:24 alfredo Note Added: 0001785
2006-09-20 11:48 gb115b Note Added: 0001999
2007-05-30 00:52 gb115b Note Added: 0002558
2008-05-02 14:02 alfredo Relationship added has duplicate 0001016
2008-05-02 14:03 alfredo Note Added: 0003436
2008-08-11 12:39 alfredo Note Added: 0003960
2008-08-11 12:39 alfredo Status acknowledged => resolved
2008-08-11 12:39 alfredo Resolution open => fixed
2008-08-11 12:39 alfredo Fixed in Version => 4.35 beta
2008-08-11 12:39 alfredo Note Deleted: 0001777
2008-08-11 12:39 alfredo Note Deleted: 0001780


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3348 seconds.
memory usage: 8,124 KB
Powered by Mantis Bugtracker